%global srcname fast_xml


Name: erlang-%{srcname}
Version: 1.1.15
Release: 1%{?dist}

License: ASL 2.0
Summary: Fast Expat based Erlang XML parsing and manipulation library
URL:     https://github.com/processone/fast_xml/
Source0: https://github.com/processone/fast_xml/archive/%{version}.tar.gz

Provides:  erlang-p1_xml = %{version}-%{release}
Obsoletes: erlang-p1_xml < 1.1.11

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.5
BuildRequires: expat-devel

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.


%prep
%autosetup -n fast_xml-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}


%changelog
* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.1.15-1
- Update to 1.1.15 (#1365096).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.1.14-2
- Rebuild for Erlang 19's new nif interface (#1357387).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.1.14-1
- Update to 1.1.14 (#1349874)

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.1.11-2
- Include a debuginfo package.

* Sat Mar 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.1.11-1
- Initial release.
